<IoNode_Atom name="test_synth_sample_2">
    <Audio_Mixer name="mixer" channels="6"/>
    <Audio_Sin name="synthe" f="110" n="4024"/>
    <IoNode_Atom name="samples">
        <Audio_Sample name="1" file_path="./wave/bass.wav"/>
        <Audio_Sample name="2" file_path="./wave/break.wav"/>
        <Audio_Sample name="3" file_path="./wave/kik.wav"/>
        <Audio_Sample name="4" file_path="./wave/sonar.wav"/>
        <Audio_Sample name="5" file_path="./wave/radio2.wav"/>
        <Audio_Sample name="6" file_path="./wave/radio.wav"/>
    </IoNode_Atom>


    <Atom name="network">
        <IoNode_Pipe source="/samples/1" target="/mixer/0"/>
        <IoNode_Pipe source="/samples/2" target="/mixer/1"/>
        <IoNode_Pipe source="/samples/3" target="/mixer/2"/>
        <IoNode_Pipe source="/samples/4" target="/mixer/3"/>
        <IoNode_Pipe source="/samples/5" target="/mixer/4"/>
        <IoNode_Pipe source="/samples/6" target="/mixer/4"/>
        <IoNode_Pipe source="/synthe" target="/mixer/5"/>
    </Atom>
    <Debug_Print text="#######################################"/>
    <Timeline name="timeline" bpm="30">

        <Timeline_Track name="track" position="0" duration="100">
            <Timeline_Loop name="1" dt="4">
                <Timeline_Key name="1" url="/samples/3" action="play" position="0"/>
                <Timeline_Key name="1" url="/samples/2" action="play" position="2"/>

            </Timeline_Loop>

        </Timeline_Track>
       <Timeline_Track name="track3" position="0" duration="20">
            <Timeline_CycleX name="1" url="/samples/5" action="play" dt="10"/>
        </Timeline_Track>
       <Timeline_Track name="track3" position="20" duration="80">
            <Timeline_CycleX name="1" url="/samples/6" action="play" dt="10"/>
        </Timeline_Track>
       <Timeline_Track name="track3" position="0" duration="100">
            <Timeline_Cycle name="1" url="/samples/4" action="play" dt="50"/>
        </Timeline_Track>


        <Timeline_Track name="track_1" position="0" duration="100">
            <Timeline_Cycle name="thrid" url="/controls/down" action="call" dt="4"/>
            <Timeline_Cycle name="thrid" url="/controls/up" action="call" dt="9"/>
        </Timeline_Track>

        <Timeline_Track name="track_1" position="0" duration="100">
            <Timeline_Cycle url="/controls/down" action="call" dt="3"/>
            <Timeline_Cycle url="/controls/up" action="call" dt="5"/>
            <Timeline_Cycle url="/controls/down" action="call" dt="13"/>
            <Timeline_Cycle url="/controls/up" action="call" dt="63"/>


        </Timeline_Track>


        <Timeline_Track name="bpm_up" position="0" duration="70">
            <Timeline_Cycle url="/controls/bpm_up" action="call" dt="4"/>
        </Timeline_Track>
        <Timeline_Track name="bpm_down" position="70" duration="30">
            <Timeline_Cycle url="/controls/bpm_down" action="call" dt="4"/>
        </Timeline_Track>

    </Timeline>



    <Atom name="controls">


        <Action name="bpm_up">
            <Atom_IncrementInteger select="/timeline" increment="5"  attr="bpm"/>
        </Action>

        <Action name="bpm_down">
            <Atom_IncrementInteger select="/timeline" increment="-5"  attr="bpm"/>
        </Action>



        <Action name="up">
            <Atom_IncrementInteger select="/synthe" increment="7"  attr="f"/>
        </Action>

        <Action name="down">
            <Atom_IncrementInteger select="/synthe" increment="-5"  attr="f"/>
        </Action>
    </Atom>


</IoNode_Atom>
